mjlab.viewer
============

.. automodule:: mjlab.viewer

.. rubric:: Classes

.. hlist::
  :columns: 3

  - :class:`ViewerConfig`
  - :class:`BaseViewer`
  - :class:`NativeMujocoViewer`
  - :class:`ViserPlayViewer`
  - :class:`OffscreenRenderer`

.. rubric:: Protocols

.. hlist::
  :columns: 3

  - :class:`EnvProtocol`
  - :class:`PolicyProtocol`
  - :class:`VerbosityLevel`

ViewerConfig
------------

.. autoclass:: ViewerConfig
  :members:
  :exclude-members: __init__
  :undoc-members:

BaseViewer
----------

.. autoclass:: BaseViewer
  :members:
  :show-inheritance:

NativeMujocoViewer
------------------

.. autoclass:: NativeMujocoViewer
  :members:
  :show-inheritance:

ViserPlayViewer
---------------

.. autoclass:: ViserPlayViewer
  :members:
  :show-inheritance:

OffscreenRenderer
-----------------

.. autoclass:: OffscreenRenderer
  :members:
  :show-inheritance:

Protocols
---------

.. autoclass:: EnvProtocol
  :members:

.. autoclass:: PolicyProtocol
  :members:

.. autoclass:: VerbosityLevel
  :members:
